# Class NoOverloadsMatchedError

This error indicates that no overloads matched when performing overload resolution. If there was only one plausible match, a [[TypeMismatchError]] will be thrown instead.

#### Hierarchy

- Error
  - NoOverloadsMatchedError

- Defined in codec/lib/wrap/errors.ts:11

#####
Index

### Constructors

constructor

### Properties

inputs
methods
userDefinedTypes

## Constructors

### constructor

- new NoOverloadsMatchedError(methods, inputs, userDefinedTypes): NoOverloadsMatchedError

- #### Parameters

  - ##### methods: Method[]

  - ##### inputs: any[]

  - ##### userDefinedTypes: TypesById

  #### Returns NoOverloadsMatchedError

  Overrides Error.constructor

  - Defined in codec/lib/wrap/errors.ts:15

## Properties

### inputs

inputs: any[]

- Defined in codec/lib/wrap/errors.ts:13

### methods

methods: Method[]

- Defined in codec/lib/wrap/errors.ts:12

### userDefinedTypes

userDefinedTypes: TypesById

- Defined in codec/lib/wrap/errors.ts:14

Generated using TypeDoc